Bug 465212 - logwatch "http" script should treat APT .hdr files as "archives" (and not as "other")
logwatch "http" script should treat APT .hdr files as "archives" (and not as ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: logwatch (Show other bugs)
5.2
All Linux
medium Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE
:
Depends On:
Blocks: 800843
  Show dependency treegraph
 
Reported: 2008-10-02 03:19 EDT by Jan Iven
Modified: 2013-04-12 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 800843 (view as bug list)
Environment:
Last Closed: 2010-01-13 07:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Iven 2008-10-02 03:19:27 EDT
Description of problem:

On a busy APT mirror, logwatch's "http" service parser will emit warnings for the metadata ".hdr" files, even if Detail=Low:
 
A total of 27814 unidentified 'other' records logged
[..]
  HEAD /scientific/45/i386/apt/RPMS.os/headers/postgresql-python-0-7.4.17-1.RHEL4.1.i386.hdr HTTP/1.1 with response code(s) 200 1 responses
[..]

adding "\.hdr" to $archive_types makes it shut up.

Version-Release number of selected component (if applicable):

RHEL4: logwatch-5.2.2-4.el4
RHEL5: logwatch-7.3-6.el5.noarch

How reproducible:
(always)

Steps to Reproduce:
1. serve these files via http
2. look at logwatch summary report
Comment 6 errata-xmlrpc 2010-01-13 07:19:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0033.html

Note You need to log in before you can comment on or make changes to this bug.